Bug 1731670 - [abrt] poppler-utils: Object::getDict(): pdfunite killed by SIGABRT
Summary: [abrt] poppler-utils: Object::getDict(): pdfunite killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: poppler
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ea2bcf7a23b5deed8ca8dabdced...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-21 04:15 UTC by Jeff Russell
Modified: 2020-05-26 16:14 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:14:06 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (12.07 KB, text/plain)
2019-07-21 04:15 UTC, Jeff Russell
no flags Details
File: cgroup (399 bytes, text/plain)
2019-07-21 04:15 UTC, Jeff Russell
no flags Details
File: core_backtrace (1.20 KB, text/plain)
2019-07-21 04:15 UTC, Jeff Russell
no flags Details
File: cpuinfo (1.47 KB, text/plain)
2019-07-21 04:15 UTC, Jeff Russell
no flags Details
File: dso_list (2.20 KB, text/plain)
2019-07-21 04:15 UTC, Jeff Russell
no flags Details
File: environ (5.65 KB, text/plain)
2019-07-21 04:15 UTC, Jeff Russell
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-21 04:15 UTC, Jeff Russell
no flags Details
File: maps (14.74 KB, text/plain)
2019-07-21 04:15 UTC, Jeff Russell
no flags Details
File: mountinfo (4.59 KB, text/plain)
2019-07-21 04:15 UTC, Jeff Russell
no flags Details
File: open_fds (1.06 KB, text/plain)
2019-07-21 04:15 UTC, Jeff Russell
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-07-21 04:15 UTC, Jeff Russell
no flags Details

Description Jeff Russell 2019-07-21 04:15:12 UTC
Version-Release number of selected component:
poppler-utils-0.73.0-13.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        pdfunite ./Scanned Document1.pdf ./Scanned Document2.pdf ./Scanned Document3.pdf ./Scanned Document4.pdf ./test.pdf test.pdf
crash_function: Object::getDict
executable:     /usr/bin/pdfunite
journald_cursor: s=e61c32f940904ea2ab064b4f7340c79d;i=17db4;b=0790dbdf877240b5b8d1fded73eec2a6;m=31872dc66;t=58e0f3a80e473;x=c0c902b606987f4b
kernel:         5.1.18-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #2 Object::getDict at /usr/src/debug/poppler-0.73.0-13.fc30.x86_64/poppler/Object.h:258

Comment 1 Jeff Russell 2019-07-21 04:15:15 UTC
Created attachment 1592340 [details]
File: backtrace

Comment 2 Jeff Russell 2019-07-21 04:15:16 UTC
Created attachment 1592341 [details]
File: cgroup

Comment 3 Jeff Russell 2019-07-21 04:15:18 UTC
Created attachment 1592342 [details]
File: core_backtrace

Comment 4 Jeff Russell 2019-07-21 04:15:19 UTC
Created attachment 1592343 [details]
File: cpuinfo

Comment 5 Jeff Russell 2019-07-21 04:15:20 UTC
Created attachment 1592344 [details]
File: dso_list

Comment 6 Jeff Russell 2019-07-21 04:15:21 UTC
Created attachment 1592345 [details]
File: environ

Comment 7 Jeff Russell 2019-07-21 04:15:23 UTC
Created attachment 1592346 [details]
File: limits

Comment 8 Jeff Russell 2019-07-21 04:15:24 UTC
Created attachment 1592347 [details]
File: maps

Comment 9 Jeff Russell 2019-07-21 04:15:26 UTC
Created attachment 1592348 [details]
File: mountinfo

Comment 10 Jeff Russell 2019-07-21 04:15:27 UTC
Created attachment 1592349 [details]
File: open_fds

Comment 11 Jeff Russell 2019-07-21 04:15:28 UTC
Created attachment 1592350 [details]
File: proc_pid_status

Comment 12 Ben Cotton 2020-04-30 21:31:44 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2020-05-26 16:14:06 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.